<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->

# Detecting Wireless Client Attacks — API & Tool Reference

> Quick reference for tools, commands, and APIs used in detecting-wireless-client-attacks.

## Tools


### `kismet`

Wireless network detector, sniffer, and IDS

**Usage:**
```bash
kismet -c <source> [options]
```

**Key Flags:**
  - `-c: capture source`
  - `--no-ncurses: headless mode`
  - `--log-types: output formats`
  - `--override: config override profile`

---

### `waidps`

Wireless auditing, intrusion detection & prevention

**Usage:**
```bash
waidps.py -i <interface>
```

**Key Flags:**
  - `-i: monitor interface`
  - `--essid: target SSID filter`
  - `--channel: specific channel`

---

### `tshark`

Network protocol analyzer (CLI)

**Usage:**
```bash
tshark -r <capture> -Y <filter>
```

**Key Flags:**
  - `-r: read capture file`
  - `-Y: display filter`
  - `-T fields: field output mode`

---

### `airodump-ng`

Wireless network scanner and packet capturer

**Usage:**
```bash
airodump-ng [options] <interface>
```

**Key Flags:**
  - `--band: frequency band`
  - `-w: output file prefix`
  - `--output-format: csv,pcap,kismet`

---


## Integration Notes

- All tools should be run with least-privilege access appropriate to the task
- Log all tool invocations for audit trail
- Validate tool output before acting on results
- Cross-reference findings with multiple tools where possible

## See Also

- Parent skill: [Wireless Security](../../../SKILL.md)
- Technique SKILL.md: [../SKILL.md](../SKILL.md)
